App\Library\Amazon\Classes\TabletComputer:
    xml_root_name: TabletComputer
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalDrives:
            expose: true
            access_type: public_method
            serialized_name: AdditionalDrives
            accessor:
                getter: getAdditionalDrives
                setter: setAdditionalDrives
            xml_list:
                inline: true
                entry_name: AdditionalDrives
            type: array<App\Library\Amazon\Classes\AdditionalDrives>
        audio:
            expose: true
            access_type: public_method
            serialized_name: Audio
            accessor:
                getter: getAudio
                setter: setAudio
            type: App\Library\Amazon\Classes\Audio
        batteryChargeCycles:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeCycles
            accessor:
                getter: getBatteryChargeCycles
                setter: setBatteryChargeCycles
            type: App\Library\Amazon\Classes\BatteryChargeCycles
        cardReader:
            expose: true
            access_type: public_method
            serialized_name: CardReader
            accessor:
                getter: getCardReader
                setter: setCardReader
            type: App\Library\Amazon\Classes\CardReader
        computerMemoryType:
            expose: true
            access_type: public_method
            serialized_name: ComputerMemoryType
            accessor:
                getter: getComputerMemoryType
                setter: setComputerMemoryType
            xml_list:
                inline: true
                entry_name: ComputerMemoryType
            type: array<App\Library\Amazon\Classes\ComputerMemoryType>
        connectivityType:
            expose: true
            access_type: public_method
            serialized_name: ConnectivityType
            accessor:
                getter: getConnectivityType
                setter: setConnectivityType
            type: App\Library\Amazon\Classes\ConnectivityType
        displayResolutionMaximum:
            expose: true
            access_type: public_method
            serialized_name: DisplayResolutionMaximum
            accessor:
                getter: getDisplayResolutionMaximum
                setter: setDisplayResolutionMaximum
            type: App\Library\Amazon\Classes\DisplayResolutionMaximum
        frontWebcamResolution:
            expose: true
            access_type: public_method
            serialized_name: FrontWebcamResolution
            accessor:
                getter: getFrontWebcamResolution
                setter: setFrontWebcamResolution
            type: App\Library\Amazon\Classes\FrontWebcamResolution
        graphicsCard:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCard
            accessor:
                getter: getGraphicsCard
                setter: setGraphicsCard
            xml_list:
                inline: true
                entry_name: GraphicsCard
            type: array<App\Library\Amazon\Classes\TabletComputer\GraphicsCardAType>
        graphicsChipsetBrand:
            expose: true
            access_type: public_method
            serialized_name: GraphicsChipsetBrand
            accessor:
                getter: getGraphicsChipsetBrand
                setter: setGraphicsChipsetBrand
            type: App\Library\Amazon\Classes\GraphicsChipsetBrand
        graphicsCoProcessor:
            expose: true
            access_type: public_method
            serialized_name: GraphicsCoProcessor
            accessor:
                getter: getGraphicsCoProcessor
                setter: setGraphicsCoProcessor
            type: App\Library\Amazon\Classes\GraphicsCoProcessor
        graphicsRAMType:
            expose: true
            access_type: public_method
            serialized_name: GraphicsRAMType
            accessor:
                getter: getGraphicsRAMType
                setter: setGraphicsRAMType
            type: App\Library\Amazon\Classes\GraphicsRAMType
        hardDiskRotationalSpeed:
            expose: true
            access_type: public_method
            serialized_name: HardDiskRotationalSpeed
            accessor:
                getter: getHardDiskRotationalSpeed
                setter: setHardDiskRotationalSpeed
            type: App\Library\Amazon\Classes\HardDiskRotationalSpeed
        hardDiskTechnology:
            expose: true
            access_type: public_method
            serialized_name: HardDiskTechnology
            accessor:
                getter: getHardDiskTechnology
                setter: setHardDiskTechnology
            type: App\Library\Amazon\Classes\HardDiskTechnology
        hardDriveInterface:
            expose: true
            access_type: public_method
            serialized_name: HardDriveInterface
            accessor:
                getter: getHardDriveInterface
                setter: setHardDriveInterface
            xml_list:
                inline: true
                entry_name: HardDriveInterface
            type: array<App\Library\Amazon\Classes\HardDriveInterface>
        hardDriveSize:
            expose: true
            access_type: public_method
            serialized_name: HardDriveSize
            accessor:
                getter: getHardDriveSize
                setter: setHardDriveSize
            xml_list:
                inline: true
                entry_name: HardDriveSize
            type: array<App\Library\Amazon\Classes\HardDriveSize>
        hardwarePlatform:
            expose: true
            access_type: public_method
            serialized_name: HardwarePlatform
            accessor:
                getter: getHardwarePlatform
                setter: setHardwarePlatform
            type: App\Library\Amazon\Classes\HardwarePlatform
        hasColorScreen:
            expose: true
            access_type: public_method
            serialized_name: HasColorScreen
            accessor:
                getter: getHasColorScreen
                setter: setHasColorScreen
            type: boolean
        maxExpandedMemorySupported:
            expose: true
            access_type: public_method
            serialized_name: MaxExpandedMemorySupported
            accessor:
                getter: getMaxExpandedMemorySupported
                setter: setMaxExpandedMemorySupported
            type: App\Library\Amazon\Classes\MaxExpandedMemorySupported
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        notebookDisplayTechnology:
            expose: true
            access_type: public_method
            serialized_name: NotebookDisplayTechnology
            accessor:
                getter: getNotebookDisplayTechnology
                setter: setNotebookDisplayTechnology
            type: App\Library\Amazon\Classes\NotebookDisplayTechnology
        numberOfAudioOutPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfAudioOutPorts
            accessor:
                getter: getNumberOfAudioOutPorts
                setter: setNumberOfAudioOutPorts
            type: App\Library\Amazon\Classes\NumberOfAudioOutPorts
        numberOfDMIPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDMIPorts
            accessor:
                getter: getNumberOfDMIPorts
                setter: setNumberOfDMIPorts
            type: App\Library\Amazon\Classes\NumberOfDMIPorts
        numberOfEthernetPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfEthernetPorts
            accessor:
                getter: getNumberOfEthernetPorts
                setter: setNumberOfEthernetPorts
            type: App\Library\Amazon\Classes\NumberOfEthernetPorts
        numberOfFirewirePorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFirewirePorts
            accessor:
                getter: getNumberOfFirewirePorts
                setter: setNumberOfFirewirePorts
            type: App\Library\Amazon\Classes\NumberOfFirewirePorts
        numberOfGamingPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGamingPorts
            accessor:
                getter: getNumberOfGamingPorts
                setter: setNumberOfGamingPorts
            type: App\Library\Amazon\Classes\NumberOfGamingPorts
        numberOfHDMIPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHDMIPorts
            accessor:
                getter: getNumberOfHDMIPorts
                setter: setNumberOfHDMIPorts
            type: App\Library\Amazon\Classes\NumberOfHDMIPorts
        numberOfLPT1PrinterPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLPT1PrinterPorts
            accessor:
                getter: getNumberOfLPT1PrinterPorts
                setter: setNumberOfLPT1PrinterPorts
            type: App\Library\Amazon\Classes\NumberOfLPT1PrinterPorts
        numberOfMicrophonePorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfMicrophonePorts
            accessor:
                getter: getNumberOfMicrophonePorts
                setter: setNumberOfMicrophonePorts
            type: App\Library\Amazon\Classes\NumberOfMicrophonePorts
        numberOfPS2Ports:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPS2Ports
            accessor:
                getter: getNumberOfPS2Ports
                setter: setNumberOfPS2Ports
            type: App\Library\Amazon\Classes\NumberOfPS2Ports
        numberOfSerialPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSerialPorts
            accessor:
                getter: getNumberOfSerialPorts
                setter: setNumberOfSerialPorts
            type: App\Library\Amazon\Classes\NumberOfSerialPorts
        numberOfUSB20Ports:
            expose: true
            access_type: public_method
            serialized_name: NumberOfUSB2.0Ports
            accessor:
                getter: getNumberOfUSB20Ports
                setter: setNumberOfUSB20Ports
            type: App\Library\Amazon\Classes\NumberOfUSB20Ports
        numberOfUSB30Ports:
            expose: true
            access_type: public_method
            serialized_name: NumberOfUSB3.0Ports
            accessor:
                getter: getNumberOfUSB30Ports
                setter: setNumberOfUSB30Ports
            type: App\Library\Amazon\Classes\NumberOfUSB30Ports
        numberOfVGAPorts:
            expose: true
            access_type: public_method
            serialized_name: NumberOfVGAPorts
            accessor:
                getter: getNumberOfVGAPorts
                setter: setNumberOfVGAPorts
            type: App\Library\Amazon\Classes\NumberOfVGAPorts
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            xml_list:
                inline: true
                entry_name: OperatingSystem
            type: array<App\Library\Amazon\Classes\OperatingSystem>
        opticalDriveIntegrated:
            expose: true
            access_type: public_method
            serialized_name: OpticalDriveIntegrated
            accessor:
                getter: getOpticalDriveIntegrated
                setter: setOpticalDriveIntegrated
            type: App\Library\Amazon\Classes\OpticalDriveIntegrated
        opticalStorageDeviceType:
            expose: true
            access_type: public_method
            serialized_name: OpticalStorageDeviceType
            accessor:
                getter: getOpticalStorageDeviceType
                setter: setOpticalStorageDeviceType
            type: App\Library\Amazon\Classes\OpticalStorageDeviceType
        processorBrand:
            expose: true
            access_type: public_method
            serialized_name: ProcessorBrand
            accessor:
                getter: getProcessorBrand
                setter: setProcessorBrand
            type: App\Library\Amazon\Classes\ProcessorBrand
        processorCount:
            expose: true
            access_type: public_method
            serialized_name: ProcessorCount
            accessor:
                getter: getProcessorCount
                setter: setProcessorCount
            type: App\Library\Amazon\Classes\ProcessorCount
        processorSocket:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSocket
            accessor:
                getter: getProcessorSocket
                setter: setProcessorSocket
            type: App\Library\Amazon\Classes\ProcessorSocket
        processorSpeed:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSpeed
            accessor:
                getter: getProcessorSpeed
                setter: setProcessorSpeed
            type: App\Library\Amazon\Classes\ProcessorSpeed
        processorType:
            expose: true
            access_type: public_method
            serialized_name: ProcessorType
            accessor:
                getter: getProcessorType
                setter: setProcessorType
            type: App\Library\Amazon\Classes\ProcessorType
        rAMClockSpeed:
            expose: true
            access_type: public_method
            serialized_name: RAMClockSpeed
            accessor:
                getter: getRAMClockSpeed
                setter: setRAMClockSpeed
            type: App\Library\Amazon\Classes\RAMClockSpeed
        rAMFormFactor:
            expose: true
            access_type: public_method
            serialized_name: RAMFormFactor
            accessor:
                getter: getRAMFormFactor
                setter: setRAMFormFactor
            type: App\Library\Amazon\Classes\RAMFormFactor
        rAMSize:
            expose: true
            access_type: public_method
            serialized_name: RAMSize
            accessor:
                getter: getRAMSize
                setter: setRAMSize
            type: App\Library\Amazon\Classes\RAMSize
        rAMTechnology:
            expose: true
            access_type: public_method
            serialized_name: RAMTechnology
            accessor:
                getter: getRAMTechnology
                setter: setRAMTechnology
            type: App\Library\Amazon\Classes\RAMTechnology
        rearWebcamResolution:
            expose: true
            access_type: public_method
            serialized_name: RearWebcamResolution
            accessor:
                getter: getRearWebcamResolution
                setter: setRearWebcamResolution
            type: App\Library\Amazon\Classes\RearWebcamResolution
        responseTime:
            expose: true
            access_type: public_method
            serialized_name: ResponseTime
            accessor:
                getter: getResponseTime
                setter: setResponseTime
            type: App\Library\Amazon\Classes\ResponseTime
        screenResolution:
            expose: true
            access_type: public_method
            serialized_name: ScreenResolution
            accessor:
                getter: getScreenResolution
                setter: setScreenResolution
            type: App\Library\Amazon\Classes\ScreenResolution
        screenSize:
            expose: true
            access_type: public_method
            serialized_name: ScreenSize
            accessor:
                getter: getScreenSize
                setter: setScreenSize
            type: App\Library\Amazon\Classes\ScreenSize
        series:
            expose: true
            access_type: public_method
            serialized_name: Series
            accessor:
                getter: getSeries
                setter: setSeries
            type: App\Library\Amazon\Classes\Series
        softwareIncluded:
            expose: true
            access_type: public_method
            serialized_name: SoftwareIncluded
            accessor:
                getter: getSoftwareIncluded
                setter: setSoftwareIncluded
            type: App\Library\Amazon\Classes\SoftwareIncluded
        speaker:
            expose: true
            access_type: public_method
            serialized_name: Speaker
            accessor:
                getter: getSpeaker
                setter: setSpeaker
            type: App\Library\Amazon\Classes\Speaker
        tabletInputMethod:
            expose: true
            access_type: public_method
            serialized_name: TabletInputMethod
            accessor:
                getter: getTabletInputMethod
                setter: setTabletInputMethod
            xml_list:
                inline: true
                entry_name: TabletInputMethod
            type: array<App\Library\Amazon\Classes\TabletInputMethod>
        tunerTechnology:
            expose: true
            access_type: public_method
            serialized_name: TunerTechnology
            accessor:
                getter: getTunerTechnology
                setter: setTunerTechnology
            type: App\Library\Amazon\Classes\TunerTechnology
        viewingAngle:
            expose: true
            access_type: public_method
            serialized_name: ViewingAngle
            accessor:
                getter: getViewingAngle
                setter: setViewingAngle
            type: App\Library\Amazon\Classes\ViewingAngle
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
        wirelessCarrier:
            expose: true
            access_type: public_method
            serialized_name: WirelessCarrier
            accessor:
                getter: getWirelessCarrier
                setter: setWirelessCarrier
            xml_list:
                inline: true
                entry_name: WirelessCarrier
            type: array<App\Library\Amazon\Classes\WirelessCarrier>
        wirelessType:
            expose: true
            access_type: public_method
            serialized_name: WirelessType
            accessor:
                getter: getWirelessType
                setter: setWirelessType
            xml_list:
                inline: true
                entry_name: WirelessType
            type: array<App\Library\Amazon\Classes\WirelessType>
